<?php
/**
 * $Horde: odin/bydate.php,v 1.13 2005/01/03 14:35:23 jan Exp $
 *
 * Odin: Copyright 2000-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

@define('ODIN_BASE', dirname(__FILE__));
require_once ODIN_BASE . '/lib/base.php';
require_once ODIN_BASE . '/lib/Source.php';

if (!is_null(($year = Util::getFormData('year'))) &&
    !is_null(($month = Util::getFormData('month'))) &&
    !is_null(($day = Util::getFormData('day'))) &&
    !is_null(($source = Util::getFormData('source')))) {
    $field = $cfgSources[$source]['bydate'];

    $url = Horde::applicationUrl('query.php', true);
    $url = Util::addParameter($url, 'advanced', 1);
    $url = Util::addParameter($url, 'source', $source);

    $url = Util::addParameter($url, $field . '[start][year]', $year);
    $url = Util::addParameter($url, $field . '[end][year]', $year);

    $url = Util::addParameter($url, $field . '[start][month]', $month);
    $url = Util::addParameter($url, $field . '[end][month]', $month);

    $url = Util::addParameter($url, $field . '[start][day]', $day);
    $url = Util::addParameter($url, $field . '[end][day]', $day);

    header('Location: ' . $url);
    exit;
}

$title = _("Search by Date");
require ODIN_TEMPLATES . '/common-header.inc';
require ODIN_TEMPLATES . '/menu.inc';

$source = Util::getFormData('source');
if ($source == null || !isset($cfgSources[$source])) {
    $options = '';
    $count = 0;
    foreach ($cfgSources as $key => $curSource) {
        if (!empty($curSource['bydate'])) {
            $options .= '<option value="' . $key . '">' . $curSource['title'] . '</option>';
            $source = $key;
            $count++;
        }
    }
} else {
    $count = 1;
}

if ($count == 0) {
    require ODIN_TEMPLATES . '/bydate/nobydate.inc';
} elseif ($count == 1) {
    $driver = &Odin_Source::singleton($source, $cfgSources[$source]);
    if (PEAR::isError($driver)) {
        Horde::logMessage($driver, __FILE__, __LINE__, PEAR_LOG_ERR);
        $notification->push(_("Failed to connect to the specified data source."), 'horde.error');
        $notification->notify(array('listeners' => 'status'));
    } else {
        require ODIN_TEMPLATES . '/bydate/goto.inc';
        require ODIN_TEMPLATES . '/bydate/bydate.inc';
    }
} else {
    require ODIN_TEMPLATES . '/bydate/select.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
