<?php
/**
 * The Odin_ListView:: class provides an interface for objects that
 * visualize Odin_List objects.
 *
 * $Horde: odin/lib/ListView.php,v 1.5 2004/05/23 17:09:24 jan Exp $
 *
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @author  Jon Parise <jon@csh.rit.edu>
 * @version $Revision: 1.5 $
 * @since   Odin 0.0.1
 * @package Odin
 */
class Odin_ListView {

    /**
     * The Odin_List object that we are visualizing.
     * @var object Odin_List $_list
     */
    var $_list;

    /**
     * The template used to display each row of the list.
     * @var string $_template
     */
    var $_template;

    /**
     * Constructs a new Odin_ListView object.
     *
     * @param $list     List of contacts to display.
     * @param $template What template file to display this contact with.
     */
    function Odin_ListView(&$list, $template)
    {
        $this->_list = &$list;
        $this->_template = $template;
    }

    /**
     * Renders the list contents into an HTML view.
     */
    function display()
    {
        global $prefs, $conf;

        /* attempt to load styles */
        $theme = '';
        if (isset($prefs)) {
            $theme = $prefs->getValue('theme');
        }

        $i = 0;
        $this->_list->reset();
        while (($i < $conf['search']['max_results']) &&
               ($ob = $this->_list->next())) {
            include $this->_template;
            $i++;
        }
        return $i;
    }

}
