<?php
/**
 * The Odin_ObjectView:: class provides an interface for visualizing
 * an Odin_Object.
 *
 * $Horde: odin/lib/ObjectView.php,v 1.6 2004/05/23 17:09:24 jan Exp $
 *
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @version $Revision: 1.6 $
 * @since   Odin 0.0.1
 * @package Odin
 */
class Odin_ObjectView {

	/**
     * The object that this Odin_ObjectView displays.
     * @var	Odin_Object
     */
    var $object;

    /**
     * The template used to display the object.
     * @var string
     */
    var $template;

    /**
     * Constructs a new Odin_ObjectView object.
     *
     * @param $object   The object to display.
     * @param $template What template file to display this object with.
     */
    function Odin_ObjectView(&$object, $template)
    {
        $this->object = &$object;
        $this->template = $template;
    }

    /**
     * Renders the object into an HTML view.
     */
    function display()
    {
        include ODIN_BASE . '/config/attributes.php';

        $fields = $this->object->source->getCriteria();
        include $this->template;
    }

}
