<?php
/**
 * Odin base inclusion file.
 *
 * $Horde: odin/lib/base.php,v 1.16 2004/10/19 00:46:00 chuck Exp $
 *
 * This file brings in all of the dependencies that every Odin script
 * will need, and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('odin', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('ODIN_TEMPLATES', $registry->get('templates'));

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Find the base file path of Odin.
@define('ODIN_BASE', dirname(__FILE__) . '/..');

// Odin base library.
require_once ODIN_BASE . '/lib/Odin.php';

// Odin sources configuration.
require ODIN_BASE . '/config/sources.php';
$GLOBALS['cfgSources'] = &$cfgSources;

// Help.
require_once 'Horde/Help.php';

/* Start compression, if requested. */
Horde::compressOutput();
